import { RowContext } from '@oinone/kunlun-vue-ui';
import { VNode } from 'vue';
import { BaseTableFieldWidget } from '../../../basic';
export declare class TableBooleanSwitchFieldWidget extends BaseTableFieldWidget<boolean> {
    /**
     * 为true的时候，执行的action
     */
    private get truthyAction();
    /**
     * 为false的时候，执行的action
     */
    private get falsyAction();
    private visiblePopconfirm;
    renderDefaultSlot(context: RowContext): VNode[];
}
